Package org.apache.storm.generated

## Class Assignment

- java.lang.Object
- - org.apache.storm.generated.Assignment

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Comparable<Assignment>`, `org.apache.storm.thrift.TBase<Assignment,​Assignment._Fields>`, `org.apache.storm.thrift.TSerializable`

      @Generated("Autogenerated by Thrift Compiler (0.19.0)")
      public class Assignment
      extends Object
      implements org.apache.storm.thrift.TBase<Assignment,​Assignment._Fields>, Serializable, Cloneable, Comparable<Assignment>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Assignment._Fields` | The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<Assignment._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Assignment()` |
    `Assignment​(String master_code_dir)` |
    `Assignment​(Assignment other)` | Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `int` | `compareTo​(Assignment other)` |
    `Assignment` | `deepCopy()` |
    `boolean` | `equals​(Object that)` |
    `boolean` | `equals​(Assignment that)` |
    `Assignment._Fields` | `fieldForId​(int fieldId)` |
    `Map<List<Long>,​NodeInfo>` | `get_executor_node_port()` |
    `int` | `get_executor_node_port_size()` |
    `Map<List<Long>,​Long>` | `get_executor_start_time_secs()` |
    `int` | `get_executor_start_time_secs_size()` |
    `String` | `get_master_code_dir()` |
    `Map<String,​String>` | `get_node_host()` |
    `int` | `get_node_host_size()` |
    `String` | `get_owner()` |
    `Map<String,​Double>` | `get_total_shared_off_heap()` |
    `int` | `get_total_shared_off_heap_size()` |
    `Map<NodeInfo,​WorkerResources>` | `get_worker_resources()` |
    `int` | `get_worker_resources_size()` |
    `Object` | `getFieldValue​(Assignment._Fields field)` |
    `int` | `hashCode()` |
    `boolean` | `is_set_executor_node_port()` | Returns true if field executor_node_port is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_executor_start_time_secs()` | Returns true if field executor_start_time_secs is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_master_code_dir()` | Returns true if field master_code_dir is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_node_host()` | Returns true if field node_host is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_owner()` | Returns true if field owner is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_total_shared_off_heap()` | Returns true if field total_shared_off_heap is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_worker_resources()` | Returns true if field worker_resources is set (has been assigned a value) and false otherwise
    `boolean` | `isSet​(Assignment._Fields field)` | Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `put_to_executor_node_port​(List<Long> key, NodeInfo val)` |
    `void` | `put_to_executor_start_time_secs​(List<Long> key, long val)` |
    `void` | `put_to_node_host​(String key, String val)` |
    `void` | `put_to_total_shared_off_heap​(String key, double val)` |
    `void` | `put_to_worker_resources​(NodeInfo key, WorkerResources val)` |
    `void` | `read​(org.apache.storm.thrift.protocol.TProtocol iprot)` |
    `void` | `set_executor_node_port​(Map<List<Long>,​NodeInfo> executor_node_port)` |
    `void` | `set_executor_node_port_isSet​(boolean value)` |
    `void` | `set_executor_start_time_secs​(Map<List<Long>,​Long> executor_start_time_secs)` |
    `void` | `set_executor_start_time_secs_isSet​(boolean value)` |
    `void` | `set_master_code_dir​(String master_code_dir)` |
    `void` | `set_master_code_dir_isSet​(boolean value)` |
    `void` | `set_node_host​(Map<String,​String> node_host)` |
    `void` | `set_node_host_isSet​(boolean value)` |
    `void` | `set_owner​(String owner)` |
    `void` | `set_owner_isSet​(boolean value)` |
    `void` | `set_total_shared_off_heap​(Map<String,​Double> total_shared_off_heap)` |
    `void` | `set_total_shared_off_heap_isSet​(boolean value)` |
    `void` | `set_worker_resources​(Map<NodeInfo,​WorkerResources> worker_resources)` |
    `void` | `set_worker_resources_isSet​(boolean value)` |
    `void` | `setFieldValue​(Assignment._Fields field, Object value)` |
    `String` | `toString()` |
    `void` | `unset_executor_node_port()` |
    `void` | `unset_executor_start_time_secs()` |
    `void` | `unset_master_code_dir()` |
    `void` | `unset_node_host()` |
    `void` | `unset_owner()` |
    `void` | `unset_total_shared_off_heap()` |
    `void` | `unset_worker_resources()` |
    `void` | `validate()` |
    `void` | `write​(org.apache.storm.thrift.protocol.TProtocol oprot)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<Assignment._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### Assignment

          public Assignment()

    - #### Assignment

          public Assignment​(String master_code_dir)

    - #### Assignment

          public Assignment​(Assignment other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public Assignment deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<Assignment,​Assignment._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<Assignment,​Assignment._Fields>`

    - #### get_master_code_dir

          public String get_master_code_dir()

    - #### set_master_code_dir

          public void set_master_code_dir​(String master_code_dir)

    - #### unset_master_code_dir

          public void unset_master_code_dir()

    - #### is_set_master_code_dir

          public boolean is_set_master_code_dir()

      Returns true if field master_code_dir is set (has been assigned a value) and false otherwise

    - #### set_master_code_dir_isSet

          public void set_master_code_dir_isSet​(boolean value)

    - #### get_node_host_size

          public int get_node_host_size()

    - #### put_to_node_host

          public void put_to_node_host​(String key,
                                       String val)

    - #### get_node_host

          public Map<String,​String> get_node_host()

    - #### set_node_host

          public void set_node_host​(Map<String,​String> node_host)

    - #### unset_node_host

          public void unset_node_host()

    - #### is_set_node_host

          public boolean is_set_node_host()

      Returns true if field node_host is set (has been assigned a value) and false otherwise

    - #### set_node_host_isSet

          public void set_node_host_isSet​(boolean value)

    - #### get_executor_node_port_size

          public int get_executor_node_port_size()

    - #### put_to_executor_node_port

          public void put_to_executor_node_port​(List<Long> key,
                                                NodeInfo val)

    - #### get_executor_node_port

          public Map<List<Long>,​NodeInfo> get_executor_node_port()

    - #### set_executor_node_port

          public void set_executor_node_port​(Map<List<Long>,​NodeInfo> executor_node_port)

    - #### unset_executor_node_port

          public void unset_executor_node_port()

    - #### is_set_executor_node_port

          public boolean is_set_executor_node_port()

      Returns true if field executor_node_port is set (has been assigned a value) and false otherwise

    - #### set_executor_node_port_isSet

          public void set_executor_node_port_isSet​(boolean value)

    - #### get_executor_start_time_secs_size

          public int get_executor_start_time_secs_size()

    - #### put_to_executor_start_time_secs

          public void put_to_executor_start_time_secs​(List<Long> key,
                                                      long val)

    - #### get_executor_start_time_secs

          public Map<List<Long>,​Long> get_executor_start_time_secs()

    - #### set_executor_start_time_secs

          public void set_executor_start_time_secs​(Map<List<Long>,​Long> executor_start_time_secs)

    - #### unset_executor_start_time_secs

          public void unset_executor_start_time_secs()

    - #### is_set_executor_start_time_secs

          public boolean is_set_executor_start_time_secs()

      Returns true if field executor_start_time_secs is set (has been assigned a value) and false otherwise

    - #### set_executor_start_time_secs_isSet

          public void set_executor_start_time_secs_isSet​(boolean value)

    - #### get_worker_resources_size

          public int get_worker_resources_size()

    - #### put_to_worker_resources

          public void put_to_worker_resources​(NodeInfo key,
                                              WorkerResources val)

    - #### get_worker_resources

          public Map<NodeInfo,​WorkerResources> get_worker_resources()

    - #### set_worker_resources

          public void set_worker_resources​(Map<NodeInfo,​WorkerResources> worker_resources)

    - #### unset_worker_resources

          public void unset_worker_resources()

    - #### is_set_worker_resources

          public boolean is_set_worker_resources()

      Returns true if field worker_resources is set (has been assigned a value) and false otherwise

    - #### set_worker_resources_isSet

          public void set_worker_resources_isSet​(boolean value)

    - #### get_total_shared_off_heap_size

          public int get_total_shared_off_heap_size()

    - #### put_to_total_shared_off_heap

          public void put_to_total_shared_off_heap​(String key,
                                                   double val)

    - #### get_total_shared_off_heap

          public Map<String,​Double> get_total_shared_off_heap()

    - #### set_total_shared_off_heap

          public void set_total_shared_off_heap​(Map<String,​Double> total_shared_off_heap)

    - #### unset_total_shared_off_heap

          public void unset_total_shared_off_heap()

    - #### is_set_total_shared_off_heap

          public boolean is_set_total_shared_off_heap()

      Returns true if field total_shared_off_heap is set (has been assigned a value) and false otherwise

    - #### set_total_shared_off_heap_isSet

          public void set_total_shared_off_heap_isSet​(boolean value)

    - #### get_owner

          public String get_owner()

    - #### set_owner

          public void set_owner​(String owner)

    - #### unset_owner

          public void unset_owner()

    - #### is_set_owner

          public boolean is_set_owner()

      Returns true if field owner is set (has been assigned a value) and false otherwise

    - #### set_owner_isSet

          public void set_owner_isSet​(boolean value)

    - #### setFieldValue

          public void setFieldValue​(Assignment._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<Assignment,​Assignment._Fields>`

    - #### getFieldValue

          public Object getFieldValue​(Assignment._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<Assignment,​Assignment._Fields>`

    - #### isSet

          public boolean isSet​(Assignment._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<Assignment,​Assignment._Fields>`

    - #### equals

          public boolean equals​(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals​(Assignment that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(Assignment other)

      Specified by:
        `compareTo` in interface `Comparable<Assignment>`

    - #### fieldForId

          public Assignment._Fields fieldForId​(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<Assignment,​Assignment._Fields>`

    - #### read

          public void read​(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write​(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`